From 9dee1cfa2fd819d9242e725dcd35e3951924647d Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Thu, 21 Jul 2022 10:53:06 +0200
Subject: [PATCH] Fix interfaces/libpq makefile

---
 src/interfaces/libpq/Makefile | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/interfaces/libpq/Makefile b/src/interfaces/libpq/Makefile
index b5fd72a4ac..8abdb092c2 100644
--- a/src/interfaces/libpq/Makefile
+++ b/src/interfaces/libpq/Makefile
@@ -143,11 +143,13 @@ install: all installdirs install-lib
 test-build:
 	$(MAKE) -C test all
 
+check installcheck: export PATH := $(CURDIR)/test:$(PATH)
+
 check: test-build all
-	PATH="$(CURDIR)/test:$$PATH" && $(prove_check)
+	$(prove_check)
 
 installcheck: test-build all
-	PATH="$(CURDIR)/test:$$PATH" && $(prove_installcheck)
+	$(prove_installcheck)
 
 installdirs: installdirs-lib
 	$(MKDIR_P) '$(DESTDIR)$(includedir)' '$(DESTDIR)$(includedir_internal)' '$(DESTDIR)$(datadir)'
-- 
2.30.2

